function SheetSwitched (ncount)
     StopSheet=true;
return;end;
function Timer(ncount, Param1)
     if not StopSheet then
          AlfingSheet();
          StopSheet=false;
     return;end;
return;end;
function gameinput (sender,obj_id,attachedID)
  if sender == 100 then
  if flags.comx then
    speciale_action(2,12121,true);
    add_free_leaf("map18",17,101);
    set_satelite_leaf("kabinet");
    DoFile(17,101)
    flags.comx= false;
    flags.comx1= true;
  return;end;
  return;end;
  if sender == 2 then
      RemoveFromMouse(object);
    MessageProc(sender,obj_id);
  return;end;
     if sender==36 then          
          if obj_id==9999 then
               if not StopSheet then
                    AlfingSheet();
                    StopSheet=false;
               return;end;
          return;end;                    
     return;end;   
   if sender==26 then          
    if obj_id==5 then
      flags.levelcomplete=true;
      DarkScreen(true);
      ShowMenu(false)
    return;end;                    
     return;end;
     if sender==35 then
    if obj_id==631 then
      StartAnimation(631,0,3)
    return; end;
  if obj_id==270 then
    StartAnimation(270,0,3)
  return; end;
    if obj_id==301 then
      StartAnimation(301,0,3)
    return; end;
  return;end;
  if sender==12 then
    if flags.all then
      if flags.phone then
        flags.all= false;
        CreateWindow(150,250,"339",5,nil,250,30);
      return; end;
         -- CreateWindow(150,250,"201",nil,nil,250,30);    
    return;end;
  return;end;  
  if sender==15 then
    if obj_id==71 then
      CreateWindow(150,250,"203",nil,nil,250,30);
    return; end;
  return;end;
  if sender==33 then
    BlockCursor(false);
    if obj_id==501 then -- тёмная плашка
      BlockCursor(false);
      if whole_darkness then
         if flags.levelcomplete then
          SetAlfa(500,0,1,1);
          speciale_action(4,500);
          BlockCursor(true);

        return;end;      
         --затемнилось
      return;end;
      whole_darkness=false;
         -- растемнилось
      AddParticleToObject(24,"zvezd7",344,488);
      MoveEmiter("zvezd7",344,488);
      if (not flags.gaz) then
      -- messagebox("1")
        StartEmiter("zvezd7");
      end;
    return;end;     
    if obj_id==503 then --название levовня
        BlockCursor(false);
      if whole_darkness then
         --затемнилось
      return;end;      
      -- проявление меню вывод собщений в начале levовня ----
      ShowMenu(true);
        CreateWindow(150,250,"198",nil,nil,250,30);
savegame(SaveLevel());        
      ------
    return;end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
      if obj_id==40 then
            if flags.gaz and (not flags.minicomplete51) then  
           if attachedID == -1 then 
             playeffect("29");
            frame=0;
            add_free_leaf("comics1",17,51);
            set_satelite_leaf("kabinet");
            DoFile(17,51)
            ShowMenu(false);
            flags.minicomplete51= true;
           return; end;       
        return; end;
      return; end;

    if attachedID == -1 then
          if obj_id==501 then
  --        if whole_darkness then
        if flags.levelcomplete then
          delete_tree_leaf("Root","kabinet");-- Добавляет лист в дерево 
          setnextlavel(18);
          loadlavel();
        return;end;        
            DarkScreen(false);
            whole_darkness=false;
          SetAlfa(503,1,0,1);
      return;end;
      -- if obj_id==65 then
      
        -- if obj_id==65 then 
        -- if (not flags.vizitka) and (not flags.otkrit) then 
          -- speciale_action(2,202);
          -- speciale_action(2,200);
          -- speciale_action(2,201);
          -- Set_Cursor(65,3);
        -- return; end;
      -- return; end;  
      -- if obj_id==200 then 
        -- collaps_obj(obj_id,0,0,10,1);
        -- AddElement("gr",obj_id);
        -- setcolor(obj_id,0,0,0,0.5,1);
        -- MoveObjectToTree(obj_id);  
        -- speciale_action(2,202,true);
        -- speciale_action(2,201,true);
        -- flags.vizitka= true;
        -- flags.otkrit= true;
      -- return; end;
      -- if (flags.vizitka) and (flags.otkrit) then
            -- CreateWindow(150,250,"263");
      -- return; end;
        --if (not flags.gaz) then    
          if obj_id==27 then --стол
            if flags.first then
            playeffect("paper");
              speciale_action(2,71,true);
              flags.first=false;
            return; end;
          return; end;
          if obj_id==71 then --стол
            speciale_action(2,71,true);
            playeffect("paper");
            Set_Cursor(27,3);
            flags.gaz=true;
            Set_Cursor(40,2)
            StopEmiter("zvezd7");
            AddParticleToObject(40,"Svet4",335,448);
            MoveEmiter("Svet4",335,448);
            if (not flags.minicomplete51) then
            StartEmiter("Svet4");
            end;
          return; end;
           --  return; end;
      if obj_id > 0 and obj_id < 200 and attachedID == -1 then--кликаем на активный объект
        playeffect("20");
            collaps_obj(obj_id,0,0,10,1);
          return 0; end
      return; end;
  return; end;

  if sender==14 then
    if obj_id>0 then
    StopSheet=true;
    object=obj_id
      addObjectToMouse(obj_id);
    return; end;
  return; end;  

  -----------------------------------------------На сцене отработали все объекты-------------------------
  if sender==4 then
  -- WriteToConsole("sender = 4, lev17.0".." "..sender.."\n")
    flags.all=true;     
  return; end;  
end
function SelectRandom()
  idObject=GetRandomObject();
  if not flags.gaz then
    selectrandomobject(1.5,27);
  end;
  selectrandomobject(1.5,40);
end;
function SelectRandomRadar(idObject)
  selectrandomobject(1.5,idObject);
end;
